For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Get One Organization Invoice

Base URL: https://cloud.mongodb.com/api/public/v1.0

GET /orgs/{ORG-ID}/invoices/{INVOICE-ID}
Name
Type
Description

ORG-ID

string

Unique identifier of the organization.

INVOICE-ID

string

Unique identifier of the invoice. Charges are typically posted the next day.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pageNum

number

Optional

One-based integer that returns a subsection of results.

1

itemsPerPage

number

Optional

Number of items to return per page, up to a maximum of 500.

100

pretty

boolean

Optional

Flag that indicates whether the response body should be in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether or not to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope : true in the query.

For endpoints that return a list of results, the content object is an envelope. Cloud Manager adds the status field to the response body.

false

backupJobsEnabledOnly

boolean

Optional

Flag indicating whether to exclude daemons not enabled for backing up databases from the response. Set this to false to include daemon configurations with the backupJobsEnabled flag set to false.

true

This endpoint doesn't use HTTP request body parameters.

If you set the query element envelope to true, the response is wrapped by the content object.

The HTTP response returns a JSON document that includes the following objects:

Name
Type
Description

amountBilledCents

number

Amount billed in this invoice, calculated as subtotalCents + salesTaxCents - startingBalanceCents

amountPaidCents

number

Amount paid for this invoice.

created

string

Timestamp in ISO 8601 date and time format in UTC when this invoice was created.

creditsCents

number

Amount credited by MongoDB, in USD cents.

endDate

string

Timestamp in ISO 8601 date and time format in UTC when the billing period for this invoice ended.

groupId

string

Unique identifier of the project with which the invoice is associated. Does not appear on all invoices.

id

string

Unique identifier for this invoice.

lineItems

object array

Line items in the invoice. This information is also found in the Usage Details section of the Invoice page in the Cloud Manager UI.

Each object in the array includes the following fields:

  • clusterName: The name of the cluster that incurred the charge.

  • created: Timestamp in ISO 8601 date and time format in UTC when the line item was posted to the invoice.

  • endDate: Timestamp in ISO 8601 date and time format in UTC when the period for which the line item applies ended.

  • discountCents: Amount discounted, in USD cents. Displays when applicable.

  • groupId: ID of the project with which the line item is associated.

  • note: Note regarding the line item.

  • percentDiscount: Percent of discount. Displays when applicable.

  • quantity: Number of units of the line item (such as GB or hours).

  • replicaSetName: Name of the replica set with which the line item is associated.

  • sku: Description of the line item. This could be the instance type, a support charge, advanced security, and so on.

  • startDate: Timestamp in ISO 8601 date and time format in UTC when the period for which the line item applies began.

  • totalPriceCents: Total price for the line item, in USD cents. Equal to

    unitPriceDollars * quantity * 100
  • unitPriceDollars: Cost of the item, in dollars.

links

object array

One or more links to sub-resources and/or related resources. The relation-types between URLs are explained in the Web Linking Specification.

orgId

string

Unique identifier for the organization that received this invoice.

payments

object array

Payments applied to the invoice. Objects in the payments array include the following fields:

  • amountBilledCents: The amount of the invoice, in USD cents.

  • amountPaidCents: The amount that the customer paid, in USD cents.

  • created: Timestamp in ISO 8601 date and time format in UTC of the date the payment was recorded.

  • id: Unique identifier of the payment.

  • salesTaxCents: Amount of sales tax paid, in USD cents.

  • statusName: State of the payment.

    • CANCELLED: The payment has been canceled.

    • FAILED: The attempt to charge the credit card failed.

    • FORGIVEN: The payment was created, but was subsequently forgiven.

    • NEW: The payment has been created, but no attempt has been made to charge the credit card.

    • PAID: The payment was successful.

  • subtotalCents: Sum of all positive invoice line items, in USD cents.

  • updated: Timestamp in ISO 8601 date and time format in UTC that the object was last updated.

refunds

object array

Refunds issued for the invoice. Objects in the refunds array include the following fields:

  • amountCents: The amount of the refund, in USD cents.

  • created: Timestamp in ISO 8601 date and time format in UTC of the date the refund was recorded.

  • reason: Reason for the refund.

  • paymentId: Unique identifier of the payment.

salesTaxCents

number

Amount of taxes levied on subtotalCents.

startDate

string

Timestamp in ISO 8601 date and time format in UTC of the starting date for this invoice.

statusName

string

State of this invoice. Accepted values are:

  • CLOSED: All charges for the subscription cycle have been finalized, the balance is more than zero, and the customer has not been charged yet.

  • FAILED: An attempt to charge the credit card for the amount due failed.

  • FORGIVEN: The customer has been charged, but the charge has been forgiven.

  • FREE: The amount turned out to be zero, so the customer is not charged.

  • PAID: The funds have been transferred to MongoDB, Inc.

  • PENDING: Includes charges for the current subscription cycle. A customer should never have more than one invoice in this state.

  • PREPAID: The customer is on a prepaid plan, so the customer is not charged.

subtotalCents

number

Sum of all positive invoice line items in USD cents.

updated

string

Timestamp in ISO 8601 date and time format in UTC when the invoice was last updated.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/invoices/{INVOICE-ID}"

Note

In the following sample response, the lineItems array has been truncated for ease of viewing.

{
"amountBilledCents" : 240,
"amountPaidCents" : 240,
"created" : "2018-04-01T06:14:31Z",
"endDate" : "2018-05-01T00:00:00Z",
"id" : "{INVOICE-ID}",
"lineItems" : [ {
"clusterName" : "{CLUSTER-NAME}",
"created" : "2018-05-01T04:05:31Z",
"endDate" : "2018-05-01T00:00:00Z",
"groupId" : "{PROJECT-ID}",
"quantity" : 72.0,
"replicaSetName": "rs0",
"sku" : "CLOUD_MANAGER_BASIC",
"startDate" : "2018-04-30T00:00:00Z",
"totalPriceCents" : 0,
"unitPriceDollars" : 0.0
}, {
"clusterName" : "{CLUSTER-NAME}",
"created" : "2018-04-30T04:05:19Z",
"endDate" : "2018-04-30T00:00:00Z",
"groupId" : "{PROJECT-ID}",
"quantity" : 72.0,
"replicaSetName": "rs0",
"sku" : "CLOUD_MANAGER_BASIC",
"startDate" : "2018-04-29T00:00:00Z",
"totalPriceCents" : 0,
"unitPriceDollars" : 0.0
},
... ,
{
"clusterName" : "{CLUSTER-NAME}",
"created" : "2018-04-02T06:05:07Z",
"endDate" : "2018-04-02T00:00:00Z",
"groupId" : "{PROJECT-ID}",
"quantity" : 72.0,
"replicaSetName": "rs0",
"sku" : "CLOUD_MANAGER_BASIC",
"startDate" : "2018-04-01T00:00:00Z",
"totalPriceCents" : 0,
"unitPriceDollars" : 0.0
} ],
"links" : [ {
"href" : "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}",
"rel" : "http://mms.mongodb.com/org"
}, {
"href" : "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/invoices/{INVOICE-ID}",
"rel" : "self"
} ],
"orgId" : "{ORG-ID}",
"payments" : [ {
"amountBilledCents" : 240,
"amountPaidCents" : 240,
"created" : "2018-05-01T04:05:14Z",
"id" : "{PAYMENT-ID}",
"salesTaxCents" : 19,
"statusName" : "PAID",
"subtotalCents" : 221,
"updated" : "2018-05-01T07:00:46Z"
} ],
"refunds" : [ ],
"salesTaxCents" : 19,
"startDate" : "2018-04-01T00:00:00Z",
"startingBalanceCents" : 0,
"statusName" : "PAID",
"subtotalCents" : 221,
"updated" : "2018-05-01T07:00:46Z"